Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fujitsu.iflow.model.wfadapter
Interface DocType

public interface DocType

Associates file extension(s) with a specific executable. Each type of document references an application (with its fully qualified path) that will be used for opening files with the associated extension(s). Each association is referred to by a name to easily identify the document type; the descriptive name of this association must not contain any spaces.

Method Summary
`boolean` | `equals(java.lang.Object object)` Compares the current `DocType` object with the `DocType` object passed as parameter.
`java.lang.String` | `getExtList()` Returns the file extension or list of extensions associated with the specified executable program.
`java.lang.String` | `getHandler()` Returns the path to the specified executable associated with this document type.
`java.lang.String` | `getName()` Returns the string description for the document type.
`boolean` | `includesExt(java.lang.String ext)` Returns whether an extension is associated with the current document type.
`java.lang.String` | `toString()` Returns the string description for the document type.

Method Detail

### equals

    public boolean equals(java.lang.Object object)

  Compares the current `DocType` object with the `DocType` object passed as parameter. It compares the string type representation of the objects.

  Parameters:
    `object` - The `DocType` object that will be compared with the current `DocType` object.
  Returns:
    `true` if the document types are equal, `false` otherwise.

### getName

    public java.lang.String getName()

  Returns the string description for the document type.

  Returns:
    String description for this document type.

### toString

    public java.lang.String toString()

  Returns the string description for the document type.

  Returns:
    This document type's string description.

### getHandler

    public java.lang.String getHandler()

  Returns the path to the specified executable associated with this document type.

  Returns:
    Path to executable associated with this type of document.

### getExtList

    public java.lang.String getExtList()

  Returns the file extension or list of extensions associated with the specified executable program.

  Returns:
    File extension or a comma-separated list of extensions associated with this document type.

### includesExt

    public boolean includesExt(java.lang.String ext)

  Returns whether an extension is associated with the current document type.

  Parameters:
    `ext` - The extension in question.
  Returns:
    `true` if this document type is associated with the extension, `false` otherwise.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD